Error when importing .speclib spectral library from DIA-NN

support
Error when importing .speclib spectral library from DIA-NN levasseurmaxence  2021-01-11
 

Hi Skyline Team,

I am trying to import a DIA-NN spectral library (.speclib) but get the following error message:

---------------------------
Skyline-daily
---------------------------
ERROR: Unable to read peaks for redundant library spectrum 1, sequence , charge 2.

Command-line: C:\Users\maxen\AppData\Local\Apps\2.0\WXXH5JG8.6M9\H2BPMA06.WGC\skyl..tion_e4141a2a22107248_0014.0002_5cab26a4bb7d0a9e\BlibFilter -b true "C:\Users\maxen\Documents\Proteomics\bnpage_ms\skyline_test\test.redundant.blib" "C:\Users\maxen\Documents\Proteomics\bnpage_ms\skyline_test\~SK41BE.tmp"
Working directory: C:\Users\maxen\Documents\Proteomics\bnpage_ms\skyline_test
---------------------------
OK More Info
---------------------------
System.IO.IOException: ERROR: Unable to read peaks for redundant library spectrum 1, sequence , charge 2.

Command-line: C:\Users\maxen\AppData\Local\Apps\2.0\WXXH5JG8.6M9\H2BPMA06.WGC\skyl..tion_e4141a2a22107248_0014.0002_5cab26a4bb7d0a9e\BlibFilter -b true "C:\Users\maxen\Documents\Proteomics\bnpage_ms\skyline_test\test.redundant.blib" "C:\Users\maxen\Documents\Proteomics\bnpage_ms\skyline_test\~SK41BE.tmp"
Working directory: C:\Users\maxen\Documents\Proteomics\bnpage_ms\skyline_test
   at pwiz.Common.SystemUtil.ProcessRunner.Run(ProcessStartInfo psi, String stdin, IProgressMonitor progress, IProgressStatus& status, TextWriter writer) in C:\proj\pwiz_x64\pwiz_tools\Shared\Common\SystemUtil\ProcessRunner.cs:line 62
   at pwiz.BiblioSpec.BlibFilter.Filter(String sourceFile, String destinationFile, IProgressMonitor progressMonitor, IProgressStatus& status) in C:\proj\pwiz_x64\pwiz_tools\Shared\BiblioSpec\BlibFilter.cs:line 52
   at pwiz.Skyline.Model.Lib.BiblioSpecLiteBuilder.BuildLibrary(IProgressMonitor progress) in C:\proj\pwiz_x64\pwiz_tools\Skyline\Model\Lib\BiblioSpecLiteBuilder.cs:line 211
---------------------------

After reading that post I am pretty sure Skyline supports .speclib files but I nonetheless tried to convert the .speclib library to a .blib library using BiblioSpec. However, I get the same error message when I tried to import that .blib file instead (I assume that is how Skyline imports .speclib files in the background?).

Am I doing something wrong here? I am using the latest version of Skyline (20.2.1.315).

Thanks for your help!

Maxence

 
 
matt.chambers42 responded:  2021-01-13

Hi Maxence,

Thanks for providing the speclib file. What version of DiaNN did you use to generate it?

 
matt.chambers42 responded:  2021-01-14

Apparently this came from a not-yet-officially-released version of DIA-NN with a change in the speclib format. I'll add support for it as soon as the dev assures me that the official version will keep the same format, and also add an error when trying to load speclibs with newer versions than BiblioSpec is currently able to handle.